# PhasicFlow: ProcessField< T > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

ProcessField< T > Class Template Reference
Inheritance diagram for ProcessField< T >:
[legend]
Collaboration diagram for ProcessField< T >:
[legend]

## Public Member Functions

| TypeInfoTemplate11 ("ProcessField", T)
| ProcessField (const dictionary &dict, pointRectCell &pToCell, repository &rep)
| add_vCtor (processField, ProcessField, dictionary)
T | getUniformValue () const
virtual bool | process () override
bool | writeToVTK (iOstream &os) const override
Public Member Functions inherited from processField
| TypeInfo ("processField")
| processField (const dictionary &dict, pointRectCell &pToCell, repository &rep)
virtual | ~processField ()=default
| create_vCtor (processField, dictionary,(const dictionary &dict, pointRectCell &pToCell, repository &rep),(dict, pToCell, rep))
const auto & | mesh () const
auto & | mesh ()
const auto & | pointToCell () const
auto & | pointToCell ()
auto & | dict ()
const auto & | dict () const
auto & | timeFolderRepository ()
auto & | processedRepository ()
const word & | fieldType () const
const word & | fieldName () const
bool | isUniform () const
const word & | operation () const
auto & | timeFolder ()
const word & | includeMaskType () const
auto | threshold () const
const word & | processedFieldName () const

## Protected Attributes

uniquePtr< pointField_H< T > > | field_
rectMeshField_H< T > | processedField_
Protected Attributes inherited from processField
dictionary | dict_
pointRectCell & | pointToCell_
readFromTimeFolder | timeFolder_
word | processedFieldName_
word | fieldName_
word | fieldType_
word | operation_
word | includeMaskType_
int32 | threshold_ = 1
uniquePtr< includeMask > | includeMask_ = nullptr

## Additional Inherited Members

Static Public Member Functions inherited from processField
static uniquePtr< processField > | create (const dictionary &dict, pointRectCell &pToCell, repository &rep)
Static Protected Member Functions inherited from processField
static bool | getFieldType (const dictionary &dict, readFromTimeFolder &timeFolder, word &fieldName, word &fieldType)

## Detailed Description

### template<typename T>
class pFlow::ProcessField< T >

Definition at line 36 of file ProcessField.hpp.

## Constructor & Destructor Documentation

## ProcessField()

ProcessField | ( | const dictionary & | dict,
|  | pointRectCell & | pToCell,
|  | repository & | rep
| ) |  |

inline

Definition at line 52 of file ProcessField.hpp.

## Member Function Documentation

## TypeInfoTemplate11()

TypeInfoTemplate11 | ( | "ProcessField< T >" | ,
|  | T |
| ) |  |

## add_vCtor()

add_vCtor | ( | processField | ,
|  | ProcessField< T > | ,
|  | dictionary |
| ) |  |

## getUniformValue()

T getUniformValue | ( |  | ) | const

inline

Definition at line 79 of file ProcessField.hpp.

References processField::dict(), and twoPartEntry::secondPartVal().

Here is the call graph for this function:

## process()

virtual bool process | ( |  | ) |

inlineoverridevirtual

Implements processField.

Definition at line 86 of file ProcessField.hpp.

References pFlow::endl(), fatalErrorInFunction, fatalExit, ProcessField< T >::field_, processField::includeMask_, processField::mesh(), processField::operation(), processField::pointToCell(), ProcessField< T >::processedField_, pStruct, objectFile::READ_NEVER, pFlow::sumMaksOp(), pFlow::sumOp(), processField::threshold(), and objectFile::WRITE_NEVER.

Here is the call graph for this function:

## writeToVTK()

bool writeToVTK | ( | iOstream & | os | ) | const

inlineoverridevirtual

Implements processField.

Definition at line 167 of file ProcessField.hpp.

References pFlow::convertRectMeshField(), and ProcessField< T >::processedField_.

Here is the call graph for this function:

## Member Data Documentation

## field_

uniquePtr<pointField_H<T> > field_

protected

Definition at line 43 of file ProcessField.hpp.

Referenced by ProcessField< T >::process().

## processedField_

rectMeshField_H<T> processedField_

protected

Definition at line 46 of file ProcessField.hpp.

Referenced by ProcessField< T >::process(), and ProcessField< T >::writeToVTK().

The documentation for this class was generated from the following file:

- utilities/postprocessPhasicFlow/ProcessField.hpp